Subject: bug#26454: [PATCH 2/2] gnu: add emacs-exwm

From: Arun Isaac <[email-masked]>
Date: Fri, 14 Apr 2017 11:10:07 +0530

Ludovic Courtès writes:

> Arun Isaac <[email-masked]> skribis:
>
>> Also, could one of the Guix maintainers comment on the following?
>>
>> emacs-xelb (https://github.com/ch11ng/xelb) provides a Makefile to
>> generate source code from xml files in xcb-proto. However, this source
>> code is already pre-generated and included in the upstream git
>> repository. Should we regenerate this code from xcb-proto afresh?
>
> It would be nice, yes.  I suppose the tool to generate this is in their
> repo?

Yes, el_client.el in the xelb repository does this.

@Feng Shu:

In your new patch, could you add a phase for generating this code from
the xcb-proto xml files as well? Thanks!